Skip to main content
GET
Retrieve Stroker Status

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Response

200 - application/json

OK

The current status of the stroker on the device.

current_pos_angle
number<float>

The current position of the stroker in radians.

Example:

1.57

current_pos_range
integer<int32>

The current position of the stroker in points.

Example:

50

target_pos_angle
number<float>

The target position of the stroker in radians.

Example:

3.14

target_pos_range
integer<int32>

The target position of the stroker in points.

Example:

75

current_vel_angle
number<float>

The current velocity of the stroker in rad/s.

Example:

2.5

current_vel_range
integer<int32>

The current velocity of the stroker in points/s.

Example:

30